NotCopyable Class Reference

Ensures an object is not copyable. More...

Inheritance diagram for NotCopyable:

## Detailed Description

Ensures an object is not copyable.

NotCopyable ensures an object is not copyable by making the copy constructor and assignment operator private. Deleters are not used under C++11.

See also
  Clonable class

Definition at line 210 of file misc.h.

The documentation for this class was generated from the following file:

- misc.h